// fBeRadioButton.h

#ifndef fBeRadioButton_h
#define fBeRadioButton_h

#include "fRadioButton.h"

#pragma export on

class fBeRadioButton : public fRadioButton
{
	private :

		fBeRadioButton( const fBeRadioButton &CopyObject);
		fBeRadioButton &operator=( const fBeRadioButton &CopyObject);
	
		ClassDeclaration( fBeRadioButton);

	protected:

		virtual void recalculateSizeLimits( void);
		virtual void invalidateRadioButton( void);

	public :

		fBeRadioButton( const char *RadioButtonText = NULL);
		virtual ~fBeRadioButton( void);

		virtual void keyDown( const char *Input, int32 Length);
		virtual void keyUp( const char *Input, int32 Length);

		virtual void drawObject( const BRegion &ClippingRegion, bool FullUpdate) const;
};

#pragma export off

#endif
